using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.Net.NetworkInformation;
using System.Text;

public partial class _Default : System.Web.UI.Page 
{
    protected void Page_Load(object sender, EventArgs e)
    {

    }
    protected void Button1_Click(object sender, EventArgs e)
    {
        if (TextBox1.Text != null && TextBox1.Text.Trim() != null)
        {
            Ping ping = new Ping();

            try
            {
                string adres = TextBox1.Text;
                string dane = "aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa";
                byte[] bufor = Encoding.ASCII.GetBytes(dane);
                int timeout = 120;
                PingOptions opcje = new PingOptions(128, true);
                PingReply odpowiedz = ping.Send(adres, timeout, bufor, opcje);
                if (odpowiedz.Status == IPStatus.Success)
                    ListBox1.Items.Add("Odpowiedź z " + odpowiedz.Address.ToString() + " bajtów=" + odpowiedz.Buffer.Length + " czas=" + odpowiedz.RoundtripTime + "ms TTL=" + odpowiedz.Options.Ttl);
                else
                    ListBox1.Items.Add("Błąd:" + adres + " " + odpowiedz.Status.ToString());
            }
            catch
            {
                ListBox1.Items.Add("Nie można wykonać komendy Ping.");
            }
        }
    }
}
